Bug 869581 - CLI - Regression, product without repo promotes to environment
CLI - Regression, product without repo promotes to environment
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Marek Hulan
Katello QA List
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 06:28 EDT by Hayk Hovsepyan
Modified: 2013-05-13 04:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-13 04:40:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2012-10-24 06:28:37 EDT
Description of problem:
There was a logic, that product without repository is not possible to promote to environment, and exception was thrown.
But now it is possible to promote that product to environment, and error is not shown.

Was there some requirement to remove that check?
If yes, then please specify it, otherwise if it is removed unintentionally, it is a regression.

Version-Release number of selected component (if applicable):
katello-configure-1.1.9-8.el6cf.noarch
katello-common-1.1.12-17.el6cf.noarch
katello-1.1.12-17.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-agent-1.1.2-1.el6cf.noarch
katello-selinux-1.1.1-2.el6cf.noarch
katello-glue-candlepin-1.1.12-17.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-1.1.8-9.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-glue-pulp-1.1.12-17.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-9.el6cf.noarch

How reproducible:
always

Steps to Reproduce:
1. Create provider. Create product. Create environment.
2. Sync product.
3. Promote product to environment. It works. But it should not. Because it should throw error on this, as product does not have repo.
  
Actual results:
error is not thrown and product was promoted successfully

Expected results:
error should be thrown
Comment 2 Mike McCune 2012-10-25 11:06:00 EDT
this doesn't really have any ill effects other than you get empty products in the environment.  not a release blocker
Comment 4 Garik Khachikyan 2012-10-29 05:08:26 EDT
ok then :)

we will adjust our scenarios with this feature. ty
Comment 7 Hayk Hovsepyan 2013-05-13 04:40:48 EDT
The functionality of promoting product to environment is already removed.
So this bug is already not actual.

Note You need to log in before you can comment on or make changes to this bug.